#!/bin/sh
which gpg-agent >& /dev/null && gpgexit="1" || gpgexit="0"
which ssh-agent >& /dev/null && sshexit="1" || sshexit="0"

if [ $gpgexit -eq 1 ] ; then
                echo "Stop gpg-agent"
                kill $(echo $GPG_AGENT_INFO | cut -d ":" -f2)
                echo "Finish stop gpg-agent"
fi

if [ $sshexit -eq 1 ] && [ ! -z $SSH_AGENT_KDESTARTED ] ; then
		echo "Stop ssh-agent"
		ssh-agent -k
		echo "Finish stop ssh-agent"
fi	
